> For the complete documentation index, see [llms.txt](https://docs.stackerhq.com/stacker-classic/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stackerhq.com/stacker-classic/layout-types/detail-layout/detail-widgets/detail-embed-widget/embedding-content-on-a-detail-page.md).

# Embedding content on a detail page

Stacker allows you to embed almost any external content into a record detail page, from YouTube videos to Google Maps and Airtable bases. When editing the [layout of your record detail page](/stacker-classic/layout-types/detail-layout/detail-widgets.md), you have the option to add [embed widgets](/stacker-classic/layout-types/detail-layout/detail-widgets/detail-embed-widget.md).

## How to add an embed to your Stacker app

To add an embed to your Stacker app:

1. Go to a Detail view page
2. Click **Edit layout**
3. Click the **Embed** widget
4. Choose to either embed from a [field](#h_01GA3ZT5FMFB0M4DRET7JEAE4M), or from a [URL](#h_01GA3ZTF8DH1G6XBG9A89ZPE6K)
5. Choose a title if required
6. Change the height of the embed widget

![Embed.gif](https://support.stackerhq.com/hc/article_attachments/12348708337555)

## Embed from field <a href="#h_01ga3zt5fmfb0m4dret7jeae4m" id="h_01ga3zt5fmfb0m4dret7jeae4m"></a>

You can embed different information for each record based on a field in your data base.

For example, in our HR app we have an attachment field for our users resumes. We can use the embed widget to pull in the information from our attachment field so that the information shown is relevant to the record.

![Screenshot\_2022-08-10\_at\_14.51.42.png](https://support.stackerhq.com/hc/article_attachments/8544940389139)

## Embed from URL <a href="#h_01ga3ztf8dh1g6xbg9a89zpe6k" id="h_01ga3ztf8dh1g6xbg9a89zpe6k"></a>

You can embed a URL directly into Stacker and show the same information for all records.

For example, if we want to share a calendar view from our Airtable base, we can do this by selecting the URL option and pasting this into the embed widget, this will display the calendar in the layout for all records.

![Screenshot\_2022-08-10\_at\_14.59.43.png](https://support.stackerhq.com/hc/article_attachments/8545182476051)

Please note that some websites do not allow you to embed, if that is the case you will see this error message on the embed widget.

![sad face error when embed does not work](https://support.stackerhq.com/hc/article_attachments/8545580463507)

If you need to embed from these sites you will have to contact the site owner to obtain permissions for embedding.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stackerhq.com/stacker-classic/layout-types/detail-layout/detail-widgets/detail-embed-widget/embedding-content-on-a-detail-page.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
